package api

import "github.com/gogf/gf/v2/frame/g"

type FundListReq struct {
	g.Meta         `path:"/fund/list" method:"get" tags:"基金相关" summary:"获取基金列表"`
	BeginPriceDate string `p:"begin_price_date" v:"date-format:Y-m-d"`
	EndPriceDate   string `p:"end_price_date" v:"date-format:Y-m-d"`
	Page           int    `p:"page" d:"1" v:"required|min:1"`
	PageSize       int    `p:"page_size" d:"10" v:"required|min:1"`
}

type FundDetailReq struct {
	g.Meta `path:"/fund/detail" method:"get" tags:"基金相关" summary:"获取特定基金详情"`
	FundId string `p:"fund_id" v:"required|regex:^HF[0-9A-Z]{8}$#基金id缺失|基金格式有误"`
}

type FundTestReq struct {
	g.Meta `path:"/fund/test" method:"get" tags:"基金相关" summary:"基金模块测试接口"`
	FundId string `p:"fund_id" v:"required#基金id缺失"`
}
