package cmd

import (
	"context"
	"gof_ppw_api/internal/middleware"

	"github.com/gogf/gf/v2/frame/g"
	"github.com/gogf/gf/v2/net/ghttp"
	"github.com/gogf/gf/v2/os/gcmd"

	"gof_ppw_api/internal/controller"
)

var (
	Main = gcmd.Command{
		Name:  "main",
		Usage: "main",
		Brief: "start http server",
		Func: func(ctx context.Context, parser *gcmd.Parser) (err error) {
			s := g.Server()
			s.Use(middleware.Response)
			s.Use(middleware.Sign)
			s.Use(middleware.Session)
			s.Use(middleware.Auth)
			// s.Use(middleware.Log)
			s.Group("/api", func(group *ghttp.RouterGroup) {
				group.Bind(
					controller.Fund,
					controller.User,
				)
			})
			s.Run()
			return nil
		},
	}
)
