// ==========================================================================
// Code generated by GoFrame CLI tool. DO NOT EDIT.
// ==========================================================================

package internal

import (
	"context"

	"github.com/gogf/gf/v2/database/gdb"
	"github.com/gogf/gf/v2/frame/g"
)

// FundInformationDao is the data access object for table dc_fund_information.
type FundInformationDao struct {
	table   string                 // table is the underlying table name of the DAO.
	group   string                 // group is the database configuration group name of current DAO.
	columns FundInformationColumns // columns contains all the column names of Table for convenient usage.
}

// FundInformationColumns defines and stores column names for table dc_fund_information.
type FundInformationColumns struct {
	Id                        string // 主键ID
	PFundId                   string // 父级产品ID
	FundId                    string // 基金id，'HF'开头(后加36进制编码格式,不足8位长度左补零） 例：HF00000001
	FundName                  string // 基金中文全称
	FundShortName             string // 基金中文简称
	FundStructure             string // 基金形式：1-公司型，2-合伙型，3-契约型，-1-其他
	FundType                  string // 基金类型:1-信托计 划，2-有限合伙，3-券商资管，4-公募专户，5-单账户，6-证券投资基金，7-海外基金，8-期货资管，9-保险资管、10-创业投 资基金、11-股权投资基金、12-银行理财、13-类固收信托 、 14-私募资产配置基金  -1其他投资基金
	PublicFundType            string // （即将弃用）公募基金类型：1-混合型、2-债券型、3-定开债券、4-联接基金、5-货币型、6-债券指数、7-保本型、8-理财型、9-QDII、10-股票指数、11-QDII-指数、12-股票型、13-固定收益、14-分级杠杆、15-ETF-场内、16-QDII-ETF、17-债券创新-场内、18-封闭式
	PubFundType               string // 公募基金类型-基础参数，见fund_parameters:1-股票型、2-混合型、3-债券型、4-货币型、5-商品型、6-市场中性型、7-FOF、8-海外型
	PubSubFundType            string // 公募基金子类型-基础参数，见fund_parameters:1-主动型、2-被动型、3-偏股型、4-平衡型、5-偏债型、6-普通债券型、7-可转债型、8-指数型、9-商品型、10-市场中性型、11-货币型、12-理财型
	FundCharacteristic        string // 券商资管产品特点
	BaseCurrency              string // 基础货币,1-人民币，2-港币，3-美元，4-份，-1-其他
	InceptionDate             string // 成立日期
	Domicile                  string // 注册国家,1-中国大陆、2-香港、3-新加坡、4-开曼群岛、5-台湾、6-英属维尔京群岛BVI、-1-其他
	PrimaryBenchmarkId        string // 指数id，以'IN'开头(后加36进制编码格式,不足8位长度左补零） 例：IN00000001
	SecondaryBenchmark        string // 业绩基准指数及其说明
	LockupPeriod              string // 封闭期，单位：月，-1：不确定，0：无封闭期
	LockupPeriodUnit          string // 封闭期单位:1-天 2-月
	LockupPeriod2             string // 准封闭期
	LockPeriod                string // 锁定期，单位：月，-1：不确定，0：无锁定期
	LockPeriodUnit            string // 锁定期单位:1-天 2-月
	OpenDay                   string // 开放日
	RedemptionDay             string // 赎回日
	Duration                  string // 产品存续期，单位：月。-1，不确定，0，无固定期限，999999永续
	InitialUnitValue          string // 单位面值
	InvestmentScope           string // 基金投资范围
	InvestmentObjective       string // 投资目标
	FundPortfolio             string // 基金资产配置比例
	InvestmentRestriction     string // 投资限制
	FundInvestmentPhilosophy  string // 投资理念
	FundStrategyDescription   string // 投资策略
	InvestmentProcess         string // 投资决策流程
	AdvisorId                 string // 投资顾问Id
	CustodianId               string // 托管银行Id
	BrokerId                  string // 证券经纪人Id
	BrokerFutureId            string // 期货经纪人id
	LiquidationAgencyId       string // 外包机构Id
	TrustId                   string // 基金管理公司Id
	AdministratorId           string // 行政管理人Id
	LegalCounselId            string // 法律顾问Id
	AuditorId                 string // 审计机构
	GeneralServiceId          string // 综合服务商id
	NavFrequency              string // 净值披露频率
	PerformanceDisclosureMark string // 产品业绩披露标识:1-A,2-B,3-C
	PerformanceDisclosureType string // 产品业绩披露方式:1-净值,2-万份收益
	IsVisible                 string // 基金在前台是否可见
	ManagerType               string // 管理类型：1-顾问管理  2-受托管理 3-自我管理
	BeginMemberCnt            string // 成立时参与人户数
	RegisterPeriod            string // 1-暂行办法实施前成立的基金，2-暂行办法实施后的基金
	ZjxLastInfoUpdateTime     string // 中基协最后更新时间
	SpecialTips               string // 基金协会特别提示
	AmacUrl                   string // 中基协页面地址
	RaiseType                 string // 募集方式：1-私募，2-公募
	RiskReturnDesc            string // 风险收益特征
	Creatorid                 string // 创建者Id,默认第一次创建者名称，创建后不变更
	Createtime                string // 创建时间,默认第一次创建的getdate()时间
	Updaterid                 string // 修改者Id;第一次创建时与Creator值相同，修改时与修改人值相同
	Updatetime                string // 修改时间;第一次创建时与CreatTime值相同，修改时与修改时间相同
	IsValid                   string // 记录的有效性；1-有效；0-无效；
	RegisterNumber            string //
	Istiered                  string // 是否分级：1-分级，0-不分级;
	IstieredDesc              string // 分级说明:0-空 1-优先份额 2-中间份额 3-劣后份额
	RegisterDate              string // 备案日期
	IsRanking                 string // 是否参与排名，1-参与排名 0-不参与排名
	IsRating                  string // 是否参与评级，1-参与评级 0-不参与评级
	NavSource                 string // 基金净值来源地址
	ContractName              string // 合同文件名称
	ContractPath              string // 合同文件存储路径
	IsAuthorized              string // 是否授权：1-是，0-否，-1-未确定(默认)
	IsInResearch              string // 是否调查中：1-是，0-否
	VisibleCtrl               string // 展示控制(业务场景),结合d_fund_visible_ctrl_set设置前台是否可见、净值是否可见、净值是否可见(B端)
	IsNavVisible              string // 净值是否可见：1-是，0-否
	IsNavVisibleOrg           string // 净值是否可见(B端)：1-是，0-否
	IsFeeBefore               string // 是否费前:1-是 0-否
	IsDeductReward            string // 是否扣除业绩报酬:1-是 0-否("是否费前"为"否"才会有值,否则为空)
	ValuationInstitutionId    string // 估值机构id
	TrustRegisterNumber       string // 信托登记系统产品编码
	IsConsignment             string // 是否代销产品: 1-是 , 0-否
	IsQdii                    string // 是否qdii:1-是,0-否
	IsExclusive               string // 是否独家
	IsShowIndependent         string // 是否独立展示(用于子基金)
	TrustApplyRegisterDate    string // 申请登记日期(中信登)
	TrustPublicityDate        string // 公示日期(中信登)
	TrustMainIndustry         string // 主要投向行业
	TrustPropertyApplication  string // 财产运用方式
	TrustFunction             string // 信托功能：1-融资类 2-投资类 3-事务管理
}

//  fundInformationColumns holds the columns for table dc_fund_information.
var fundInformationColumns = FundInformationColumns{
	Id:                        "id",
	PFundId:                   "p_fund_id",
	FundId:                    "fund_id",
	FundName:                  "fund_name",
	FundShortName:             "fund_short_name",
	FundStructure:             "fund_structure",
	FundType:                  "fund_type",
	PublicFundType:            "public_fund_type",
	PubFundType:               "pub_fund_type",
	PubSubFundType:            "pub_sub_fund_type",
	FundCharacteristic:        "fund_characteristic",
	BaseCurrency:              "base_currency",
	InceptionDate:             "inception_date",
	Domicile:                  "domicile",
	PrimaryBenchmarkId:        "primary_benchmark_id",
	SecondaryBenchmark:        "secondary_benchmark",
	LockupPeriod:              "lockup_period",
	LockupPeriodUnit:          "lockup_period_unit",
	LockupPeriod2:             "lockup_period2",
	LockPeriod:                "lock_period",
	LockPeriodUnit:            "lock_period_unit",
	OpenDay:                   "open_day",
	RedemptionDay:             "redemption_day",
	Duration:                  "duration",
	InitialUnitValue:          "initial_unit_value",
	InvestmentScope:           "investment_scope",
	InvestmentObjective:       "investment_objective",
	FundPortfolio:             "fund_portfolio",
	InvestmentRestriction:     "investment_restriction",
	FundInvestmentPhilosophy:  "fund_investment_philosophy",
	FundStrategyDescription:   "fund_strategy_description",
	InvestmentProcess:         "investment_process",
	AdvisorId:                 "advisor_id",
	CustodianId:               "custodian_id",
	BrokerId:                  "broker_id",
	BrokerFutureId:            "broker_future_id",
	LiquidationAgencyId:       "liquidation_agency_id",
	TrustId:                   "trust_id",
	AdministratorId:           "administrator_id",
	LegalCounselId:            "legal_counsel_id",
	AuditorId:                 "auditor_id",
	GeneralServiceId:          "general_service_id",
	NavFrequency:              "nav_frequency",
	PerformanceDisclosureMark: "performance_disclosure_mark",
	PerformanceDisclosureType: "performance_disclosure_type",
	IsVisible:                 "IsVisible",
	ManagerType:               "manager_type",
	BeginMemberCnt:            "begin_member_cnt",
	RegisterPeriod:            "register_period",
	ZjxLastInfoUpdateTime:     "zjx_last_info_update_time",
	SpecialTips:               "special_tips",
	AmacUrl:                   "amac_url",
	RaiseType:                 "raise_type",
	RiskReturnDesc:            "risk_return_desc",
	Creatorid:                 "creatorid",
	Createtime:                "createtime",
	Updaterid:                 "updaterid",
	Updatetime:                "updatetime",
	IsValid:                   "is_valid",
	RegisterNumber:            "register_number",
	Istiered:                  "istiered",
	IstieredDesc:              "istiered_desc",
	RegisterDate:              "register_date",
	IsRanking:                 "is_ranking",
	IsRating:                  "is_rating",
	NavSource:                 "nav_source",
	ContractName:              "contract_name",
	ContractPath:              "contract_path",
	IsAuthorized:              "is_authorized",
	IsInResearch:              "is_in_research",
	VisibleCtrl:               "visible_ctrl",
	IsNavVisible:              "is_nav_visible",
	IsNavVisibleOrg:           "is_nav_visible_org",
	IsFeeBefore:               "is_fee_before",
	IsDeductReward:            "is_deduct_reward",
	ValuationInstitutionId:    "valuation_institution_id",
	TrustRegisterNumber:       "trust_register_number",
	IsConsignment:             "is_consignment",
	IsQdii:                    "is_qdii",
	IsExclusive:               "is_exclusive",
	IsShowIndependent:         "is_show_independent",
	TrustApplyRegisterDate:    "trust_apply_register_date",
	TrustPublicityDate:        "trust_publicity_date",
	TrustMainIndustry:         "trust_main_industry",
	TrustPropertyApplication:  "trust_property_application",
	TrustFunction:             "trust_function",
}

// NewFundInformationDao creates and returns a new DAO object for table data access.
func NewFundInformationDao() *FundInformationDao {
	return &FundInformationDao{
		group:   "default",
		table:   "dc_fund_information",
		columns: fundInformationColumns,
	}
}

// DB retrieves and returns the underlying raw database management object of current DAO.
func (dao *FundInformationDao) DB() gdb.DB {
	return g.DB(dao.group)
}

// Table returns the table name of current dao.
func (dao *FundInformationDao) Table() string {
	return dao.table
}

// Columns returns all column names of current dao.
func (dao *FundInformationDao) Columns() FundInformationColumns {
	return dao.columns
}

// Group returns the configuration group name of database of current dao.
func (dao *FundInformationDao) Group() string {
	return dao.group
}

// Ctx creates and returns the Model for current DAO, It automatically sets the context for current operation.
func (dao *FundInformationDao) Ctx(ctx context.Context) *gdb.Model {
	return dao.DB().Model(dao.table).Safe().Ctx(ctx)
}

// Transaction wraps the transaction logic using function f.
// It rollbacks the transaction and returns the error from function f if it returns non-nil error.
// It commits the transaction and returns nil if function f returns nil.
//
// Note that, you should not Commit or Rollback the transaction in function f
// as it is automatically handled by this function.
func (dao *FundInformationDao) Transaction(ctx context.Context, f func(ctx context.Context, tx *gdb.TX) error) (err error) {
	return dao.Ctx(ctx).Transaction(ctx, f)
}
