// ==========================================================================
// Code generated by GoFrame CLI tool. DO NOT EDIT.
// ==========================================================================

package internal

import (
	"context"

	"github.com/gogf/gf/v2/database/gdb"
	"github.com/gogf/gf/v2/frame/g"
)

// FundLastNavDao is the data access object for table dc_fund_last_nav.
type FundLastNavDao struct {
	table   string             // table is the underlying table name of the DAO.
	group   string             // group is the database configuration group name of current DAO.
	columns FundLastNavColumns // columns contains all the column names of Table for convenient usage.
}

// FundLastNavColumns defines and stores column names for table dc_fund_last_nav.
type FundLastNavColumns struct {
	FundId                  string // 基金id，'HF'开头(后加36进制编码格式,不足8位长度左补零） 例：HF00000001
	PriceDate               string // 净值日期
	PrePriceDate            string // 上一个净值日期
	Nav                     string // 单位净值
	CumulativeNav           string // 考虑分红再投资的单位累计净值
	CumulativeNavWithdrawal string // 分红不投资的单位累计净值
	UpdateTime              string // 修改时间;第一次创建时与CreatTime值相同，修改时与修改时间相同
}

//  fundLastNavColumns holds the columns for table dc_fund_last_nav.
var fundLastNavColumns = FundLastNavColumns{
	FundId:                  "fund_id",
	PriceDate:               "price_date",
	PrePriceDate:            "pre_price_date",
	Nav:                     "nav",
	CumulativeNav:           "cumulative_nav",
	CumulativeNavWithdrawal: "cumulative_nav_withdrawal",
	UpdateTime:              "update_time",
}

// NewFundLastNavDao creates and returns a new DAO object for table data access.
func NewFundLastNavDao() *FundLastNavDao {
	return &FundLastNavDao{
		group:   "default",
		table:   "dc_fund_last_nav",
		columns: fundLastNavColumns,
	}
}

// DB retrieves and returns the underlying raw database management object of current DAO.
func (dao *FundLastNavDao) DB() gdb.DB {
	return g.DB(dao.group)
}

// Table returns the table name of current dao.
func (dao *FundLastNavDao) Table() string {
	return dao.table
}

// Columns returns all column names of current dao.
func (dao *FundLastNavDao) Columns() FundLastNavColumns {
	return dao.columns
}

// Group returns the configuration group name of database of current dao.
func (dao *FundLastNavDao) Group() string {
	return dao.group
}

// Ctx creates and returns the Model for current DAO, It automatically sets the context for current operation.
func (dao *FundLastNavDao) Ctx(ctx context.Context) *gdb.Model {
	return dao.DB().Model(dao.table).Safe().Ctx(ctx)
}

// Transaction wraps the transaction logic using function f.
// It rollbacks the transaction and returns the error from function f if it returns non-nil error.
// It commits the transaction and returns nil if function f returns nil.
//
// Note that, you should not Commit or Rollback the transaction in function f
// as it is automatically handled by this function.
func (dao *FundLastNavDao) Transaction(ctx context.Context, f func(ctx context.Context, tx *gdb.TX) error) (err error) {
	return dao.Ctx(ctx).Transaction(ctx, f)
}
