// =================================================================================
// Code generated by GoFrame CLI tool. DO NOT EDIT.
// =================================================================================

package do

import (
	"github.com/gogf/gf/v2/frame/g"
	"github.com/gogf/gf/v2/os/gtime"
)

// FundInformation is the golang structure of table dc_fund_information for DAO operations like Where/Data.
type FundInformation struct {
	g.Meta                    `orm:"table:dc_fund_information, do:true"`
	Id                        interface{} // 主键ID
	PFundId                   interface{} // 父级产品ID
	FundId                    interface{} // 基金id，'HF'开头(后加36进制编码格式,不足8位长度左补零） 例：HF00000001
	FundName                  interface{} // 基金中文全称
	FundShortName             interface{} // 基金中文简称
	FundStructure             interface{} // 基金形式：1-公司型，2-合伙型，3-契约型，-1-其他
	FundType                  interface{} // 基金类型:1-信托计 划，2-有限合伙，3-券商资管，4-公募专户，5-单账户，6-证券投资基金，7-海外基金，8-期货资管，9-保险资管、10-创业投 资基金、11-股权投资基金、12-银行理财、13-类固收信托 、 14-私募资产配置基金  -1其他投资基金
	PublicFundType            interface{} // （即将弃用）公募基金类型：1-混合型、2-债券型、3-定开债券、4-联接基金、5-货币型、6-债券指数、7-保本型、8-理财型、9-QDII、10-股票指数、11-QDII-指数、12-股票型、13-固定收益、14-分级杠杆、15-ETF-场内、16-QDII-ETF、17-债券创新-场内、18-封闭式
	PubFundType               interface{} // 公募基金类型-基础参数，见fund_parameters:1-股票型、2-混合型、3-债券型、4-货币型、5-商品型、6-市场中性型、7-FOF、8-海外型
	PubSubFundType            interface{} // 公募基金子类型-基础参数，见fund_parameters:1-主动型、2-被动型、3-偏股型、4-平衡型、5-偏债型、6-普通债券型、7-可转债型、8-指数型、9-商品型、10-市场中性型、11-货币型、12-理财型
	FundCharacteristic        interface{} // 券商资管产品特点
	BaseCurrency              interface{} // 基础货币,1-人民币，2-港币，3-美元，4-份，-1-其他
	InceptionDate             *gtime.Time // 成立日期
	Domicile                  interface{} // 注册国家,1-中国大陆、2-香港、3-新加坡、4-开曼群岛、5-台湾、6-英属维尔京群岛BVI、-1-其他
	PrimaryBenchmarkId        interface{} // 指数id，以'IN'开头(后加36进制编码格式,不足8位长度左补零） 例：IN00000001
	SecondaryBenchmark        interface{} // 业绩基准指数及其说明
	LockupPeriod              interface{} // 封闭期，单位：月，-1：不确定，0：无封闭期
	LockupPeriodUnit          interface{} // 封闭期单位:1-天 2-月
	LockupPeriod2             interface{} // 准封闭期
	LockPeriod                interface{} // 锁定期，单位：月，-1：不确定，0：无锁定期
	LockPeriodUnit            interface{} // 锁定期单位:1-天 2-月
	OpenDay                   interface{} // 开放日
	RedemptionDay             interface{} // 赎回日
	Duration                  interface{} // 产品存续期，单位：月。-1，不确定，0，无固定期限，999999永续
	InitialUnitValue          interface{} // 单位面值
	InvestmentScope           interface{} // 基金投资范围
	InvestmentObjective       interface{} // 投资目标
	FundPortfolio             interface{} // 基金资产配置比例
	InvestmentRestriction     interface{} // 投资限制
	FundInvestmentPhilosophy  interface{} // 投资理念
	FundStrategyDescription   interface{} // 投资策略
	InvestmentProcess         interface{} // 投资决策流程
	AdvisorId                 interface{} // 投资顾问Id
	CustodianId               interface{} // 托管银行Id
	BrokerId                  interface{} // 证券经纪人Id
	BrokerFutureId            interface{} // 期货经纪人id
	LiquidationAgencyId       interface{} // 外包机构Id
	TrustId                   interface{} // 基金管理公司Id
	AdministratorId           interface{} // 行政管理人Id
	LegalCounselId            interface{} // 法律顾问Id
	AuditorId                 interface{} // 审计机构
	GeneralServiceId          interface{} // 综合服务商id
	NavFrequency              interface{} // 净值披露频率
	PerformanceDisclosureMark interface{} // 产品业绩披露标识:1-A,2-B,3-C
	PerformanceDisclosureType interface{} // 产品业绩披露方式:1-净值,2-万份收益
	IsVisible                 interface{} // 基金在前台是否可见
	ManagerType               interface{} // 管理类型：1-顾问管理  2-受托管理 3-自我管理
	BeginMemberCnt            interface{} // 成立时参与人户数
	RegisterPeriod            interface{} // 1-暂行办法实施前成立的基金，2-暂行办法实施后的基金
	ZjxLastInfoUpdateTime     interface{} // 中基协最后更新时间
	SpecialTips               interface{} // 基金协会特别提示
	AmacUrl                   interface{} // 中基协页面地址
	RaiseType                 interface{} // 募集方式：1-私募，2-公募
	RiskReturnDesc            interface{} // 风险收益特征
	Creatorid                 interface{} // 创建者Id,默认第一次创建者名称，创建后不变更
	Createtime                *gtime.Time // 创建时间,默认第一次创建的getdate()时间
	Updaterid                 interface{} // 修改者Id;第一次创建时与Creator值相同，修改时与修改人值相同
	Updatetime                *gtime.Time // 修改时间;第一次创建时与CreatTime值相同，修改时与修改时间相同
	IsValid                   interface{} // 记录的有效性；1-有效；0-无效；
	RegisterNumber            interface{} //
	Istiered                  interface{} // 是否分级：1-分级，0-不分级;
	IstieredDesc              interface{} // 分级说明:0-空 1-优先份额 2-中间份额 3-劣后份额
	RegisterDate              *gtime.Time // 备案日期
	IsRanking                 interface{} // 是否参与排名，1-参与排名 0-不参与排名
	IsRating                  interface{} // 是否参与评级，1-参与评级 0-不参与评级
	NavSource                 interface{} // 基金净值来源地址
	ContractName              interface{} // 合同文件名称
	ContractPath              interface{} // 合同文件存储路径
	IsAuthorized              interface{} // 是否授权：1-是，0-否，-1-未确定(默认)
	IsInResearch              interface{} // 是否调查中：1-是，0-否
	VisibleCtrl               interface{} // 展示控制(业务场景),结合d_fund_visible_ctrl_set设置前台是否可见、净值是否可见、净值是否可见(B端)
	IsNavVisible              interface{} // 净值是否可见：1-是，0-否
	IsNavVisibleOrg           interface{} // 净值是否可见(B端)：1-是，0-否
	IsFeeBefore               interface{} // 是否费前:1-是 0-否
	IsDeductReward            interface{} // 是否扣除业绩报酬:1-是 0-否("是否费前"为"否"才会有值,否则为空)
	ValuationInstitutionId    interface{} // 估值机构id
	TrustRegisterNumber       interface{} // 信托登记系统产品编码
	IsConsignment             interface{} // 是否代销产品: 1-是 , 0-否
	IsQdii                    interface{} // 是否qdii:1-是,0-否
	IsExclusive               interface{} // 是否独家
	IsShowIndependent         interface{} // 是否独立展示(用于子基金)
	TrustApplyRegisterDate    *gtime.Time // 申请登记日期(中信登)
	TrustPublicityDate        *gtime.Time // 公示日期(中信登)
	TrustMainIndustry         interface{} // 主要投向行业
	TrustPropertyApplication  interface{} // 财产运用方式
	TrustFunction             interface{} // 信托功能：1-融资类 2-投资类 3-事务管理
}
