// =================================================================================
// Code generated by GoFrame CLI tool. DO NOT EDIT.
// =================================================================================

package entity

import (
	"github.com/gogf/gf/v2/os/gtime"
)

// FundInformation is the golang structure for table fund_information.
type FundInformation struct {
	Id                        uint        `json:"id"                          ` // 主键ID
	PFundId                   string      `json:"p_fund_id"                   ` // 父级产品ID
	FundId                    string      `json:"fund_id"                     ` // 基金id，'HF'开头(后加36进制编码格式,不足8位长度左补零） 例：HF00000001
	FundName                  string      `json:"fund_name"                   ` // 基金中文全称
	FundShortName             string      `json:"fund_short_name"             ` // 基金中文简称
	FundStructure             int         `json:"fund_structure"              ` // 基金形式：1-公司型，2-合伙型，3-契约型，-1-其他
	FundType                  int         `json:"fund_type"                   ` // 基金类型:1-信托计 划，2-有限合伙，3-券商资管，4-公募专户，5-单账户，6-证券投资基金，7-海外基金，8-期货资管，9-保险资管、10-创业投 资基金、11-股权投资基金、12-银行理财、13-类固收信托 、 14-私募资产配置基金  -1其他投资基金
	PublicFundType            int         `json:"public_fund_type"            ` // （即将弃用）公募基金类型：1-混合型、2-债券型、3-定开债券、4-联接基金、5-货币型、6-债券指数、7-保本型、8-理财型、9-QDII、10-股票指数、11-QDII-指数、12-股票型、13-固定收益、14-分级杠杆、15-ETF-场内、16-QDII-ETF、17-债券创新-场内、18-封闭式
	PubFundType               int         `json:"pub_fund_type"               ` // 公募基金类型-基础参数，见fund_parameters:1-股票型、2-混合型、3-债券型、4-货币型、5-商品型、6-市场中性型、7-FOF、8-海外型
	PubSubFundType            int         `json:"pub_sub_fund_type"           ` // 公募基金子类型-基础参数，见fund_parameters:1-主动型、2-被动型、3-偏股型、4-平衡型、5-偏债型、6-普通债券型、7-可转债型、8-指数型、9-商品型、10-市场中性型、11-货币型、12-理财型
	FundCharacteristic        string      `json:"fund_characteristic"         ` // 券商资管产品特点
	BaseCurrency              int         `json:"base_currency"               ` // 基础货币,1-人民币，2-港币，3-美元，4-份，-1-其他
	InceptionDate             *gtime.Time `json:"inception_date"              ` // 成立日期
	Domicile                  int         `json:"domicile"                    ` // 注册国家,1-中国大陆、2-香港、3-新加坡、4-开曼群岛、5-台湾、6-英属维尔京群岛BVI、-1-其他
	PrimaryBenchmarkId        string      `json:"primary_benchmark_id"        ` // 指数id，以'IN'开头(后加36进制编码格式,不足8位长度左补零） 例：IN00000001
	SecondaryBenchmark        string      `json:"secondary_benchmark"         ` // 业绩基准指数及其说明
	LockupPeriod              int         `json:"lockup_period"               ` // 封闭期，单位：月，-1：不确定，0：无封闭期
	LockupPeriodUnit          int         `json:"lockup_period_unit"          ` // 封闭期单位:1-天 2-月
	LockupPeriod2             string      `json:"lockup_period_2"             ` // 准封闭期
	LockPeriod                int         `json:"lock_period"                 ` // 锁定期，单位：月，-1：不确定，0：无锁定期
	LockPeriodUnit            int         `json:"lock_period_unit"            ` // 锁定期单位:1-天 2-月
	OpenDay                   string      `json:"open_day"                    ` // 开放日
	RedemptionDay             string      `json:"redemption_day"              ` // 赎回日
	Duration                  int         `json:"duration"                    ` // 产品存续期，单位：月。-1，不确定，0，无固定期限，999999永续
	InitialUnitValue          float64     `json:"initial_unit_value"          ` // 单位面值
	InvestmentScope           string      `json:"investment_scope"            ` // 基金投资范围
	InvestmentObjective       string      `json:"investment_objective"        ` // 投资目标
	FundPortfolio             string      `json:"fund_portfolio"              ` // 基金资产配置比例
	InvestmentRestriction     string      `json:"investment_restriction"      ` // 投资限制
	FundInvestmentPhilosophy  string      `json:"fund_investment_philosophy"  ` // 投资理念
	FundStrategyDescription   string      `json:"fund_strategy_description"   ` // 投资策略
	InvestmentProcess         string      `json:"investment_process"          ` // 投资决策流程
	AdvisorId                 string      `json:"advisor_id"                  ` // 投资顾问Id
	CustodianId               string      `json:"custodian_id"                ` // 托管银行Id
	BrokerId                  string      `json:"broker_id"                   ` // 证券经纪人Id
	BrokerFutureId            string      `json:"broker_future_id"            ` // 期货经纪人id
	LiquidationAgencyId       string      `json:"liquidation_agency_id"       ` // 外包机构Id
	TrustId                   string      `json:"trust_id"                    ` // 基金管理公司Id
	AdministratorId           string      `json:"administrator_id"            ` // 行政管理人Id
	LegalCounselId            string      `json:"legal_counsel_id"            ` // 法律顾问Id
	AuditorId                 string      `json:"auditor_id"                  ` // 审计机构
	GeneralServiceId          string      `json:"general_service_id"          ` // 综合服务商id
	NavFrequency              string      `json:"nav_frequency"               ` // 净值披露频率
	PerformanceDisclosureMark int         `json:"performance_disclosure_mark" ` // 产品业绩披露标识:1-A,2-B,3-C
	PerformanceDisclosureType int         `json:"performance_disclosure_type" ` // 产品业绩披露方式:1-净值,2-万份收益
	IsVisible                 int         `json:"is_visible"                  ` // 基金在前台是否可见
	ManagerType               int         `json:"manager_type"                ` // 管理类型：1-顾问管理  2-受托管理 3-自我管理
	BeginMemberCnt            int         `json:"begin_member_cnt"            ` // 成立时参与人户数
	RegisterPeriod            int         `json:"register_period"             ` // 1-暂行办法实施前成立的基金，2-暂行办法实施后的基金
	ZjxLastInfoUpdateTime     string      `json:"zjx_last_info_update_time"   ` // 中基协最后更新时间
	SpecialTips               string      `json:"special_tips"                ` // 基金协会特别提示
	AmacUrl                   string      `json:"amac_url"                    ` // 中基协页面地址
	RaiseType                 int         `json:"raise_type"                  ` // 募集方式：1-私募，2-公募
	RiskReturnDesc            string      `json:"risk_return_desc"            ` // 风险收益特征
	Creatorid                 int         `json:"creatorid"                   ` // 创建者Id,默认第一次创建者名称，创建后不变更
	Createtime                *gtime.Time `json:"createtime"                  ` // 创建时间,默认第一次创建的getdate()时间
	Updaterid                 int         `json:"updaterid"                   ` // 修改者Id;第一次创建时与Creator值相同，修改时与修改人值相同
	Updatetime                *gtime.Time `json:"updatetime"                  ` // 修改时间;第一次创建时与CreatTime值相同，修改时与修改时间相同
	IsValid                   int         `json:"is_valid"                    ` // 记录的有效性；1-有效；0-无效；
	RegisterNumber            string      `json:"register_number"             ` //
	Istiered                  int         `json:"istiered"                    ` // 是否分级：1-分级，0-不分级;
	IstieredDesc              int         `json:"istiered_desc"               ` // 分级说明:0-空 1-优先份额 2-中间份额 3-劣后份额
	RegisterDate              *gtime.Time `json:"register_date"               ` // 备案日期
	IsRanking                 int         `json:"is_ranking"                  ` // 是否参与排名，1-参与排名 0-不参与排名
	IsRating                  int         `json:"is_rating"                   ` // 是否参与评级，1-参与评级 0-不参与评级
	NavSource                 string      `json:"nav_source"                  ` // 基金净值来源地址
	ContractName              string      `json:"contract_name"               ` // 合同文件名称
	ContractPath              string      `json:"contract_path"               ` // 合同文件存储路径
	IsAuthorized              int         `json:"is_authorized"               ` // 是否授权：1-是，0-否，-1-未确定(默认)
	IsInResearch              int         `json:"is_in_research"              ` // 是否调查中：1-是，0-否
	VisibleCtrl               int         `json:"visible_ctrl"                ` // 展示控制(业务场景),结合d_fund_visible_ctrl_set设置前台是否可见、净值是否可见、净值是否可见(B端)
	IsNavVisible              int         `json:"is_nav_visible"              ` // 净值是否可见：1-是，0-否
	IsNavVisibleOrg           int         `json:"is_nav_visible_org"          ` // 净值是否可见(B端)：1-是，0-否
	IsFeeBefore               int         `json:"is_fee_before"               ` // 是否费前:1-是 0-否
	IsDeductReward            int         `json:"is_deduct_reward"            ` // 是否扣除业绩报酬:1-是 0-否("是否费前"为"否"才会有值,否则为空)
	ValuationInstitutionId    string      `json:"valuation_institution_id"    ` // 估值机构id
	TrustRegisterNumber       string      `json:"trust_register_number"       ` // 信托登记系统产品编码
	IsConsignment             int         `json:"is_consignment"              ` // 是否代销产品: 1-是 , 0-否
	IsQdii                    int         `json:"is_qdii"                     ` // 是否qdii:1-是,0-否
	IsExclusive               int         `json:"is_exclusive"                ` // 是否独家
	IsShowIndependent         int         `json:"is_show_independent"         ` // 是否独立展示(用于子基金)
	TrustApplyRegisterDate    *gtime.Time `json:"trust_apply_register_date"   ` // 申请登记日期(中信登)
	TrustPublicityDate        *gtime.Time `json:"trust_publicity_date"        ` // 公示日期(中信登)
	TrustMainIndustry         string      `json:"trust_main_industry"         ` // 主要投向行业
	TrustPropertyApplication  string      `json:"trust_property_application"  ` // 财产运用方式
	TrustFunction             int         `json:"trust_function"              ` // 信托功能：1-融资类 2-投资类 3-事务管理
}
